> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read notification

>  

Read a specific notification.


## OpenAPI

````yaml openapi/nexus/v1.yaml GET /notifications/{notification_guid}
openapi: 3.0.0
info:
  contact:
    name: Nexus API
    url: https://www.mx.com
  version: 1.0.0
  title: Nexus API
  description: >-
    Legacy clients can use Nexus API for all their connectivity needs. If you
    are a new client refer to our Platform API. Review our [Nexus API
    Guides](/nexus) for more information.
servers:
  - url: https://int-data.moneydesktop.com/
  - url: https://data.moneydesktop.com/
security:
  - sessionToken: []
tags:
  - name: accounts
  - name: beats
  - name: budgets
  - name: categories
  - name: extended transaction history
  - name: goals
  - name: holdings
  - name: identity
  - name: insights
  - name: institutions
  - name: jobs
  - name: member credentials
  - name: members
  - name: merchants
  - name: microdeposits
  - name: monthly cash flow profile
  - name: notifications
  - name: scheduled payments
  - name: sessions
  - name: spending plan
  - name: taggings
  - name: tags
  - name: transaction rules
  - name: transactions
  - name: user
  - name: verification
paths:
  /notifications/{notification_guid}:
    get:
      tags:
        - notifications
      summary: Read notification
      description: Read a specific notification.
      operationId: readNotification
      parameters:
        - name: notification_guid
          description: The unique identifier for notifications. Defined by MX.
          example: NTF-b53294f5-2356-4782-9f81-ae064c42b40a
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/vnd.mx.nexus.v1+json:
              schema:
                $ref: '#/components/schemas/NotificationResponseBody'
components:
  schemas:
    NotificationResponseBody:
      properties:
        notification:
          $ref: '#/components/schemas/NotificationResponse'
      type: object
    NotificationResponse:
      properties:
        created_on:
          description: >-
            Date the notification was created, as provided by our data feed.
            Represented in ISO 8601 format (e.g. 2011-03-28).
          type: string
          example: '2022-04-01T12:58:08.000Z'
        deep_link_guid:
          description: >-
            The unique identifier for objects that directly trigger a
            notification. EX: TRANSACTION_FEE_CHARGE and
            TRANSACTION_EXPENSE_LARGE notification types will have a transaction
            guid in this field.
          type: string
          example: BGT-e386a323-e452-47f2-b2fd-1ac3c18533de
        entity_guid:
          description: >-
            The unique identifier of the entity that the notification is
            attached to.
          type: string
          example: BGT-e386a323-e452-47f2-b2fd-1ac3c18533de
        guid:
          description: Unique identifier for the notification. Defined by MX.
          type: string
          example: TF-b53294f5-2356-4782-9f81-ae064c42b40a
        has_been_viewed:
          description: >-
            If the notification has been viewed, this field will be true.
            Otherwise, this field will be false.
          type: boolean
          example: false
        notification_type:
          description: >-
            Specific type of notification being sent. See notification types for
            more information.
          type: integer
          example: 2
        notification_type_name:
          description: >-
            The name of the notification type. See notification types for more
            information.
          type: string
          example: BUDGET_OFF_TARGET
        subject:
          description: >-
            The notification summary text. Usually the same text used for
            "in-app" or SMS deliverables.
          type: string
          example: >-
            You're projected to spend $1,920.07 more than you've budgeted for
            Fees & Charges. You've already spent $65.67 of $316.00.
        threshold:
          description: >-
            The amount that needs to be succeeded before the user receives the
            notification.
          type: integer
          example: null
          nullable: true
  securitySchemes:
    sessionToken:
      description: >
        ### MX Session Token 

        - Request an API token using the read API token endpoint in the MX SSO
        API.

        - Exchange an API token for a session token. 
          - A session token is obtained by sending a POST request to /sessions
          - The session token will be used in each request made for the user. It should be passed in an `MD-SESSION-TOKEN` HTTP header as shown below.
          - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
          - If you send a request with an expired session token you'll receive an error code of `4011`.

        ```

        curl -i https://int-data.moneydesktop.com/accounts \

        -H 'MD-SESSION-TOKEN:
        CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg'
        \

        -H 'Content-Type: application/vnd.mx.nexus.v1+json' \

        -H 'Accept: application/vnd.mx.nexus.v1+json'

        ```


        In documentation code examples, replace `<API_KEY_VALUE>` with the
        session token.
      type: apiKey
      name: MD-SESSION-TOKEN
      in: header

````